Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes | Friends
ArgusSamples::TrackedUniqueObj< T > Class Template Reference

This class helps track construction and destruction of Argus objects. More...

`#include <TrackedUniqueObject.h>`

List of all members.

## Public Member Functions
| TrackedUniqueObj ()
| ~TrackedUniqueObj ()
T * | get () const
bool | reset (T *obj=NULL, Tracker< T > *tracker=NULL)
| operator bool () const

## Private Attributes
Tracker< T > * | m_tracker
Argus::UniqueObj< T > | m_obj

## Friends
class | Tracker< T >

## Detailed Description

### template<typename T>
class ArgusSamples::TrackedUniqueObj< T >

This class helps track construction and destruction of Argus objects.

Tracker classes are using it to track Argus objects. It exposes several functions of the Argus::UniqueObj class to allow it to be seamlessly replaced by a TrackedUniqueObj.

Definition at line 65 of file TrackedUniqueObject.h.

## Constructor & Destructor Documentation

template<typename T>

ArgusSamples::TrackedUniqueObj< T >::TrackedUniqueObj | ( |  | ) |
| inline

Definition at line 68 of file TrackedUniqueObject.h.

template<typename T>

ArgusSamples::TrackedUniqueObj< T >::~TrackedUniqueObj | ( |  | ) |
| inline

Definition at line 73 of file TrackedUniqueObject.h.

## Member Function Documentation

template<typename T>

T* ArgusSamples::TrackedUniqueObj< T >::get | ( |  | ) | const
| inline

Definition at line 78 of file TrackedUniqueObject.h.

template<typename T>

ArgusSamples::TrackedUniqueObj< T >::operator bool | ( |  | ) | const
| inline

Definition at line 109 of file TrackedUniqueObject.h.

template<typename T>

bool ArgusSamples::TrackedUniqueObj< T >::reset | ( | T * | obj = `NULL`,
|  | Tracker< T > * | tracker = `NULL`
| ) |  |
| inline

Definition at line 83 of file TrackedUniqueObject.h.

## Friends And Related Function Documentation

template<typename T>

friend class Tracker< T >
| friend

Definition at line 115 of file TrackedUniqueObject.h.

## Member Data Documentation

template<typename T>

Argus::UniqueObj<T> ArgusSamples::TrackedUniqueObj< T >::m_obj
| private

Definition at line 119 of file TrackedUniqueObject.h.

template<typename T>

Tracker<T>* ArgusSamples::TrackedUniqueObj< T >::m_tracker
| private

Definition at line 118 of file TrackedUniqueObject.h.

The documentation for this class was generated from the following file:

- modules/TrackedUniqueObject.h